> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate a decline transaction

> Simulate declining a transaction



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /cards/simulate-decline
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cards/simulate-decline:
    post:
      tags:
        - Card Transaction Simulator
      summary: Simulate a decline transaction
      description: Simulate declining a transaction
      operationId: simulateDecline
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cardAccountId
                - cardId
                - amount
                - currency
              properties:
                cardAccountId:
                  type: string
                  example: c8e2752d-6bd7-4244-a9f6-580f5640eaeb
                  description: The card account ID to decline
                cardId:
                  type: string
                  example: c8e2752d-6bd7-4244-a9f6-580f5640eaec
                  description: The card ID to decline
                amount:
                  type: number
                  example: 100
                  description: The amount to decline
                currency:
                  type: string
                  example: HKD
                  description: The currency to decline
      responses:
        '200':
          description: Decline transaction submitted
          content:
            application/json:
              schema:
                type: object
                properties:
                  cardTransactionId:
                    type: string
                    example: 8188d920-2c17-4aba-aa24-6a25f8c12ddb
                    description: The ID of the declined transaction
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````